$borderColor: #667081;

.skills-list {
    max-width: 100%;
    position: relative;

    .skills {
        text-align: left;
        padding: 10px 0;
        padding-left: 10px;
        margin: 10px 0;
        color: white;
        background-color: #26C17E;
    }


}

.scale-bar {
    width: 100%;
    display: grid;
    grid-template-columns: 20% 30% 30% 20%;
    grid-template-rows: 9px 20px;
    grid-auto-flow: row;
    color: #667081;
    font: 400 12px 'Open Sans', sans-serif;
    row-gap: 10px;
    grid-template-areas:
        "left center center right"
        "beginner proficient expert master";

    .scale-left {
        grid-area: left;
        border: 1px solid $borderColor;
        border-top: none;
    }

    .scale-center {
        grid-area: center;
        border: 1px solid $borderColor;
        border-top: none;
    }

    .scale-right {
        grid-area: right;
        border: 1px solid $borderColor;
        border-top: none;
    }


    .beginner {
        grid-area: beginner;
        text-align: left;
    }

    .proficient {
        grid-area: proficient;
        text-align: left;
        position: relative;

        span {
            position: absolute;
            transform: translate(-50%, 0);
        }
    }

    .expert {
        grid-area: expert;
        text-align: right;
        position: relative;

        span {
            position: absolute;
            transform: translate(-50%, 0);
        }
    }

    .master {
        grid-area: master;
        text-align: right;
    }
}

.add-skill {
    position: absolute;
    right: 10px;
    top: 0px
}

.skills-form {
    display: block;
    border: 1px solid #26C17E;
    border-radius: 5px;

    .error {
        margin-left: 15px;
        color: #fc8181;
        font-size: 0.75rem;
        text-align: left;
        margin-top: 0.25rem;
    }

    &__menu {
        height: 100%;
        margin: 20px 0 0 15px;
        display: flex;
        column-gap: 15px;
        align-items: center;
        justify-items: center;


        &-label {
            font: 400 14px 'Open Sans', sans-serif;
            color: black;
        }

        &-input {
            text-align: left;
            border: 1px solid #667081;
            width: 30%;
            height: 40px;
            border-radius: 5px;

            &::placeholder {
                padding-left: 10px;
                font: 400 12px 'Open Sans', sans-serif;
                color: #667081;
            }

        }

        .input-error {
            border-color: red;
        }

        &_button {
            margin: 15px 0 15px 15px;

            &[disabled] {
                button {
                    background-color: #222935;
                    color: black;
                    cursor: not-allowed;

                    &:hover {
                        color: black;
                        background-color: #222935;
                    }
                }
            }
        }
    }


    &[disabled] {
        display: none;
    }
}